NX Open C++ Reference Guide
Classes | Public Types | Public Member Functions | List of all members
NXOpen::CAE::BeamSectionOffsetOptions Class Reference


To create a new instance of this class, use NXOpen::CAE::CaePart::NewBeamSectionOffsetOptions

Created in NX7.5.0. More...

Inheritance diagram for NXOpen::CAE::BeamSectionOffsetOptions:
NXOpen::TransientObject

Classes

struct  Offset
 Represents the offset value. More...
 

Public Types

enum  Method { MethodNeutral, MethodLanguageSpecific }
 Represents the offset definition method. More...
 

Public Member Functions

NXOpen::CAE::BeamSectionOffsetOptions::Offset AftOffset ()
 Returns the aft offsets
Created in NX7.5.0. More...
 
NXOpen::CAE::BeamSectionOffsetOptions::Offset ForeOffset ()
 Returns the fore offsets
Created in NX7.5.0. More...
 
bool IsOffsetSpecified ()
 Returns the flag indicating whether the offset is specified
Created in NX7.5.0. More...
 
NXOpen::CAE::BeamSectionOffsetOptions::Method OffsetMethodType ()
 Returns the method to define beam end offsets
Created in NX7.5.0. More...
 
bool SameEndOffsets ()
 Returns the flag indicating whether the offset on both fore end and aft end are consistent
Created in NX7.5.0. More...
 
void SetAftOffset (const NXOpen::CAE::BeamSectionOffsetOptions::Offset &aftOffsets)
 Sets the aft offsets
Created in NX7.5.0. More...
 
void SetForeOffset (const NXOpen::CAE::BeamSectionOffsetOptions::Offset &foreOffsets)
 Sets the fore offsets
Created in NX7.5.0. More...
 
void SetOffsetMethodType (NXOpen::CAE::BeamSectionOffsetOptions::Method method)
 Sets the method to define beam end offsets
Created in NX7.5.0. More...
 
void SetOffsetSpecified (bool isOffsetSpecified)
 Sets the flag indicating whether the offset is specified
Created in NX7.5.0. More...
 
void SetSameEndOffsets (bool isSameEndOffsets)
 Sets the flag indicating whether the offset on both fore end and aft end are consistent
Created in NX7.5.0. More...
 
virtual ~BeamSectionOffsetOptions ()
 Destroys the object
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::TransientObject
void * GetHandle ()
 Handle of the internal object represented by this object. More...
 

Detailed Description


To create a new instance of this class, use NXOpen::CAE::CaePart::NewBeamSectionOffsetOptions

Created in NX7.5.0.


Member Enumeration Documentation

Represents the offset definition method.

Enumerator
MethodNeutral 

The offset coordindate system is defined in neutral way.

MethodLanguageSpecific 

The offset coordindate system is defined in language-specific way.

Only available to Nastran

Constructor & Destructor Documentation

virtual NXOpen::CAE::BeamSectionOffsetOptions::~BeamSectionOffsetOptions ( )
virtual

Destroys the object
Created in NX7.5.0.



License requirements : None

Member Function Documentation

NXOpen::CAE::BeamSectionOffsetOptions::Offset NXOpen::CAE::BeamSectionOffsetOptions::AftOffset ( )

Returns the aft offsets
Created in NX7.5.0.



License requirements : None

NXOpen::CAE::BeamSectionOffsetOptions::Offset NXOpen::CAE::BeamSectionOffsetOptions::ForeOffset ( )

Returns the fore offsets
Created in NX7.5.0.



License requirements : None

bool NXOpen::CAE::BeamSectionOffsetOptions::IsOffsetSpecified ( )

Returns the flag indicating whether the offset is specified
Created in NX7.5.0.



License requirements : None

NXOpen::CAE::BeamSectionOffsetOptions::Method NXOpen::CAE::BeamSectionOffsetOptions::OffsetMethodType ( )

Returns the method to define beam end offsets
Created in NX7.5.0.



License requirements : None

bool NXOpen::CAE::BeamSectionOffsetOptions::SameEndOffsets ( )

Returns the flag indicating whether the offset on both fore end and aft end are consistent
Created in NX7.5.0.



License requirements : None

void NXOpen::CAE::BeamSectionOffsetOptions::SetAftOffset ( const NXOpen::CAE::BeamSectionOffsetOptions::Offset aftOffsets)

Sets the aft offsets
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
aftOffsetsaftoffsets
void NXOpen::CAE::BeamSectionOffsetOptions::SetForeOffset ( const NXOpen::CAE::BeamSectionOffsetOptions::Offset foreOffsets)

Sets the fore offsets
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
foreOffsetsforeoffsets
void NXOpen::CAE::BeamSectionOffsetOptions::SetOffsetMethodType ( NXOpen::CAE::BeamSectionOffsetOptions::Method  method)

Sets the method to define beam end offsets
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
methodmethod
void NXOpen::CAE::BeamSectionOffsetOptions::SetOffsetSpecified ( bool  isOffsetSpecified)

Sets the flag indicating whether the offset is specified
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
isOffsetSpecifiedisoffsetspecified
void NXOpen::CAE::BeamSectionOffsetOptions::SetSameEndOffsets ( bool  isSameEndOffsets)

Sets the flag indicating whether the offset on both fore end and aft end are consistent
Created in NX7.5.0.



License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
isSameEndOffsetsissameendoffsets

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.